IElement = IObject.subClass();

IElement.TRUE = "true";

IElement.create = function(){
	
	var obj = this.prototype;
	
	obj.init = function (){
		this.TEXT = 1;
		this.RADIOBOX = 2;
		this.CHECKBOX = 3;
		this.HIDDEN = 4;
		this.BUTTON = 5;
		this.SELECT = 6
		this.TEXEARA = 7;
		this.DIV = 8;
		this.SPAN = 9;
		this.A = 10;
		this.IMG = 11;
	}
	
	obj.setElement = function (name){
		if(typeof(name) == "object")
			this._element = name;
		else
			this._element = document.getElementById(name);
	}
	
	obj.getElement = function (name){
		if(!this._element){
			this.setElement(name);
		}
		return this._element;
	}
	
	obj.getType = function(){
		if(this._element.tagName.toLowerCase() == "input"){
			if(!this._element.getAttribute("type") || this._element.getAttribute("type").toLowerCase() == "text"){
				return this.TEXT;
			}
			if(this._element.getAttribute("type").toLowerCase() == "radio"){
				return this.RADIOBOX;
			}
			if(this._element.getAttribute("type").toLowerCase() == "checkbox"){
				return this.CHECKBOX;
			}
			if(this._element.getAttribute("type").toLowerCase() == "hidden"){
				return this.HIDDEN;
			}
			if(this._element.getAttribute("type").toLowerCase() == "button"){
				return this.BUTTON;
			}
		}
		if(this._element.tagName.toLowerCase() == "select"){
			return this.SELECT;
		}
		if(this._element.tagName.toLowerCase() == "texteara"){
			return this.TEXTEARA;
		}
		if(this._element.tagName.toLowerCase() == "div"){
			return this.DIV;
		}
		if(this._element.tagName.toLowerCase() == "span"){
			return this.SPAN;
		}
		if(this._element.tagName.toLowerCase() == "a"){
			return this.A;
		}
		if(this._element.tagName.toLowerCase() == "img"){
			return this.IMG;
		}
	}
	
	obj.setText = function(text) {
		switch(this.getType()){
			case this.TEXT :
			case this.HIDDEN :
			case this.BUTTON : 
			case this.TEXTEARA : this.getElement().value = text;
			break;
			case this.RADIOBOX : 
			case this.CHECKBOX : this.checked(text);
			break;
			case this.SELECT : this.selected(text);
			break;
			case this.DIV :
			case this.SPAN : this.getElement().innerHTML = text;
			break;
			case this.A : this.getElement().href = text;
			break;
			case this.IMG : this.getElement().src = text;
			break;
		}
	}
	
	obj.getText = function(text) {
		switch(this.getType()){
			case this.TEXT :
			case this.HIDDEN :
			case this.BUTTON : 
			case this.SELECT :
			case this.TEXTEARA : return this.getElement().value;
			break;
			case this.RADIOBOX : 
			case this.CHECKBOX : this.getElement().checked;
			break;
			case this.DIV :
			case this.SPAN : return this.getElement().innerHTML;
			break;
			case this.A : return this.getElement().href;
			break;
			case this.IMG : return this.getElement().src;
			break;
		}
	}
	
	obj.selected = function (text){
		var select = this.getElement();
		for(var i = 0; i < select.options.length; i ++){
			if(select.options[i].value == text)
				select.selectedIndex 	= i;
		}
	}
	
	obj.checked = function(text){
		var check = this.getElement();
		if(text == IElement.TRUE)
			check.checked = true;
		else
			check.checked = false;
	}
}

IElement.create();